function DBwriteTrL(DATAinsert,idElabData,ListaDate,NodeNum,IDcentralina,DTcatena,conn)

nNodo = num2str(NodeNum);
l = ListaDate;

for ii=1:l
    idData = idElabData(ii,1);
    if  idData == 0 % Se la data non è su DB (=0), scrivo i dati
        tablename = 'ELABDATADISP';
        colnames = {'UnitName','ToolNameID','NodeNum','EventDate','EventTime','XShift','X','calcerr'};
        data = [DATAinsert(ii,1),DATAinsert(ii,2),DATAinsert(ii,3),DATAinsert(ii,4),...
            DATAinsert(ii,5),DATAinsert(ii,6),DATAinsert(ii,7),DATAinsert(ii,8)];
        fastinsert(conn,tablename,colnames,data);
    else % altrimenti li aggiorno
        tablename = 'ELABDATADISP';
        colnames = {'XShift','X','calcerr'};
        data = [DATAinsert(ii,6),DATAinsert(ii,7),DATAinsert(ii,8)];
        whereclause = ['WHERE UnitName = ''' IDcentralina ''' and ToolNameID = '''...
            DTcatena ''' and NodeNum = ''' nNodo ''' and EventDate = ''' cell2mat(DATAinsert(ii,4))...
            ''' and EventTime = ''' cell2mat(DATAinsert(ii,5)) ''' '];
        update(conn,tablename,colnames,data,whereclause)
    end
end

end